
/**
 * 环境方法
 */
const IAAEnv = {
    /**
     * 是否抖音环境
     * @returns 
     */
    isDouyinMiniProgram() {
        return typeof tt !== 'undefined' && typeof tt.getSystemInfo === 'function';
    },
    /**
     * 判断环境
     * @returns 
     */
    detectMiniProgramEnvironment() {
        if (this.isDouyinMiniProgram()) {
            return 'tt'
        } else {
            return 'wx'
        }
    }
}

module.exports = IAAEnv;